For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Guías (Español)Guides (English)Referencia API
  • Referencia API
      • GETListar suscripciones
      • GETObtener una suscripción
      • PUTActualizar una suscripción
      • DELCancelar una suscripción
LogoLogo
Referencia APISubscriptions

Listar suscripciones

GET
https://app.recurrente.com/api/subscriptions
GET
/api/subscriptions
$curl https://app.recurrente.com/api/subscriptions \
> -H "X-SECRET-KEY: <apiKey>"
200Retrieved
1[
2 {
3 "id": "su_nehndm7j",
4 "description": "One Free-Testable Banana",
5 "status": "active",
6 "created_at": "2024-01-15T09:30:00Z",
7 "updated_at": "2024-01-15T09:30:00Z",
8 "current_period_start": "2024-01-15T09:30:00Z",
9 "current_period_end": "2024-01-15T09:30:00Z",
10 "tax_name": "string",
11 "tax_id": "string",
12 "resumes_on": "2023-01-15",
13 "next_payment_attempt_at": "2024-01-15T09:30:00Z",
14 "payment_retries": 0,
15 "default_payment_method": {
16 "id": "pay_m_7v5ie3pw",
17 "type": "card",
18 "card": {
19 "last4": "4242",
20 "network": "visa"
21 }
22 },
23 "subscriber": {
24 "id": "us_rdctav2g",
25 "first_name": "string",
26 "last_name": "string",
27 "full_name": "Fela Kuti",
28 "email": "test@user.com",
29 "phone_number": "string"
30 },
31 "checkout": {
32 "id": "string"
33 },
34 "product": {
35 "id": "string"
36 }
37 }
38]

Lista todas las suscripciones de tu cuenta con paginación, ordenadas de la más reciente a la más antigua.

Was this page helpful?
Previous

Obtener una suscripción

Next
Built with

Authentication

X-SECRET-KEYstring
Tu llave secreta de API

Query parameters

pageintegerOptional>=1Defaults to 1

Número de página (empezando en 1)

itemsintegerOptional1-100Defaults to 10

Elementos por página

Response

Lista de suscripciones
idstring

ID único de la suscripción

descriptionstring

Descripción de la suscripción

statusenum

Estado de la suscripción

Allowed values:
created_atdatetime

Fecha de creación

updated_atdatetime

Última actualización

current_period_startdatetime or null

Inicio del período de facturación actual

current_period_enddatetime or null

Fin del período de facturación actual

tax_namestring or null
Nombre fiscal del suscriptor
tax_idstring or null
ID fiscal del suscriptor
resumes_ondate or null

Fecha de reactivación automática (si está pausada)

next_payment_attempt_atdatetime or null

Próximo intento de cobro automático (solo cuando el estado es past_due)

payment_retriesinteger

Número de reintentos de cobro realizados para el período actual

default_payment_methodobject or null

Método de pago predeterminado de la suscripción

subscriberobject
checkoutobject or null
productobject